package com.bcxin.ars.dto.msg;

import com.bcxin.ars.dto.SearchDto;
import com.bcxin.ars.model.msg.NewsnoticeCompany;
import lombok.Data;

import java.util.Date;


public class NewsnoticeCompanySearchDto  extends SearchDto<NewsnoticeCompany> {

    /**
     * 公司ID
     */

    private Long companyId;

    /** 发送人姓名 */
    private String sendName;

    /** 消息内容 */
    private String newscontext;

    /**
     * 搜索开始时间
     * @return
     */
    private String searchStartTime;

    /**
     * 搜索结束时间
     * @return
     */
    private String searchEndTime;


    /** 阅读状态 */
    private String readstate;

    //回复状态
    private  String replyState;

    /** 发送人ID */
    private Integer conpanyid;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 更新人
     */
    private String updateBy;


    private  String sendOrgName;

    private  String newsTitle;

    /**
     * 新增，修改标志
     */
    private boolean updateflag;

    public String getNewsTitle() {
        return newsTitle;
    }

    public void setNewsTitle(String newsTitle) {
        this.newsTitle = newsTitle;
    }

    public Long getCompanyId() {
        return companyId;
    }

    public void setCompanyId(Long companyId) {
        this.companyId = companyId;
    }

    public String getSendName() {
        return sendName;
    }

    public void setSendName(String sendName) {
        this.sendName = sendName;
    }

    public String getNewscontext() {
        return newscontext;
    }

    public void setNewscontext(String newscontext) {
        this.newscontext = newscontext;
    }

    public String getSearchStartTime() {
        return searchStartTime;
    }

    public void setSearchStartTime(String searchStartTime) {
        this.searchStartTime = searchStartTime;
    }

    public String getSearchEndTime() {
        return searchEndTime;
    }

    public void setSearchEndTime(String searchEndTime) {
        this.searchEndTime = searchEndTime;
    }

    public String getReadstate() {
        return readstate;
    }

    public void setReadstate(String readstate) {
        this.readstate = readstate;
    }

    public String getReplyState() {
        return replyState;
    }

    public void setReplyState(String replyState) {
        this.replyState = replyState;
    }

    public Integer getConpanyid() {
        return conpanyid;
    }

    public void setConpanyid(Integer conpanyid) {
        this.conpanyid = conpanyid;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    public String getSendOrgName() {
        return sendOrgName;
    }

    public void setSendOrgName(String sendOrgName) {
        this.sendOrgName = sendOrgName;
    }

    public boolean isUpdateflag() {
        return updateflag;
    }

    public void setUpdateflag(boolean updateflag) {
        this.updateflag = updateflag;
    }
}